Bug 156915 - SQL CC in PHP not working with incomplete NOWDOCS
SQL CC in PHP not working with incomplete NOWDOCS
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: SQL Editor
6.x
All Mac OS X
: P3 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 20:34 UTC by David Vancouvering
Modified: 2009-10-16 10:14 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Vancouvering 2009-01-15 20:34:56 UTC
If you type in a NOWDOC string without correctly terminating it, SQL CC doesn't work.  Note that PHP CC does work.

For example:

        $var = <<<'NOW'
        select * from |

doesn't work but

        $var = <<<'NOW'
        select * from |
NOW;

does work.
Comment 1 Jiri Rechtacek 2009-02-10 15:36:54 UTC
Reassigned to new owner.
Comment 2 Jiri Skrivanek 2009-10-15 10:08:37 UTC
Fixed.
core-main #048dd77afcfc
Comment 3 Quality Engineering 2009-10-16 10:14:05 UTC
Integrated into 'main-golden', will be available in build *200910160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/048dd77afcfc
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #156915 - Handle UNKNOWN_TOKEN as possible SQL statement.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo